> ## Documentation Index
> Fetch the complete documentation index at: https://aci.dev/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get App Details

> Returns an application (name, description, and functions).



## OpenAPI

````yaml get /v1/apps/{app_name}
openapi: 3.1.0
info:
  title: Aipolabs
  version: 0.0.1-beta.3
servers: []
security: []
paths:
  /v1/apps/{app_name}:
    get:
      tags:
        - apps
      summary: Get App Details
      description: Returns an application (name, description, and functions).
      operationId: apps-get_app_details
      parameters:
        - name: app_name
          in: path
          required: true
          schema:
            type: string
            title: App Name
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AppBasicWithFunctions'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - APIKeyHeader: []
components:
  schemas:
    AppBasicWithFunctions:
      properties:
        name:
          type: string
          title: Name
        description:
          type: string
          title: Description
        functions:
          items:
            $ref: '#/components/schemas/FunctionBasic'
          type: array
          title: Functions
      type: object
      required:
        - name
        - description
        - functions
      title: AppBasicWithFunctions
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    FunctionBasic:
      properties:
        name:
          type: string
          title: Name
        description:
          type: string
          title: Description
      type: object
      required:
        - name
        - description
      title: FunctionBasic
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      description: API key for authentication
      in: header
      name: X-API-KEY

````